﻿using System;
using System.Web.Mvc;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using DynamicControlsCreation.Models;
using Kendo.Mvc;


namespace DynamicControlsCreation.ViewModels
{
  public abstract class ControlViewModel
  {
    public abstract string Type { get; }
    public string Label { get; set; }
    public string ID { get; set; }
    public string Name { get; set; }
    public string Query { get; set; }
    public int RowNumber { get; set; }
  }

  public class TextBoxViewModel : ControlViewModel
  {
    public override string Type
    {
      get
      {
        return "TextBox";
      }
    }
    public string Value { get; set; }
  }
  public class LabelViewModel : ControlViewModel
  {
    public override string Type
    {
      get
      {
        return "Label";
      }
    }

    public string Value { get; set; }
  }
  public class TextAreaViewModel : ControlViewModel
  {
      public override string Type
      {
          get
          {
              return "TextArea";
          }
      }

      [AllowHtml]
      public string Value { get; set; }
  }
}